com.google.cloud.dataflow.sdk.values

## Class TimestampedValue<V>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.values.TimestampedValue<V>

Type Parameters:
  `V` - the type of the value

    public class TimestampedValue<V>
    extends Object

An immutable pair of a value and a timestamp.

The timestamp of a value determines many properties, such as its assignment to windows and whether the value is late (with respect to the watermark of a `PCollection`).

### Nested Class Summary

Nested Classes
`static class` `TimestampedValue.TimestampedValueCoder<T>` A `Coder` for `TimestampedValue`.

### Constructor Summary

Constructors
`protected` `TimestampedValue(V value, Instant timestamp)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object other)`
`Instant` `getTimestamp()`
`V` `getValue()`
`int` `hashCode()`
`static <V> TimestampedValue<V>` `of(V value, Instant timestamp)` Returns a new `TimestampedValue` with the given value and timestamp.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TimestampedValue

    protected TimestampedValue(V value,
                               Instant timestamp)

### Method Detail

#### of

    public static <V> TimestampedValue<V> of(V value,
                                             Instant timestamp)

Returns a new `TimestampedValue` with the given value and timestamp.

#### getValue

    public V getValue()

#### getTimestamp

    public Instant getTimestamp()

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`